<?php 
	
	$user = cmsUser::getInstance();

	$this->renderChild('item_header', array(
		'item' => $item,
		'ctype' => $ctype,
		'is_only_breadcrumb' => true
	));

	$this->addBreadcrumb(LANG_PLACES_ITEM_TAB_NEWS, $this->href_to('news', $item['id']));
	$this->addBreadcrumb($entry['title']);
	
	$this->setPageTitle($entry['title']);
	
	$is_own_place = $item['user_id'] == $user->id;
	$is_own_entry = $entry['user_id'] == $user->id;
	
	$is_can_edit = cmsUser::isAllowed($ctype['name'], 'edit_news', 'all') || 
				   (cmsUser::isAllowed($ctype['name'], 'edit_news', 'own_places') && $is_own_place) ||
				   (cmsUser::isAllowed($ctype['name'], 'edit_news', 'own') && $is_own_entry);	
	
	$is_can_delete = cmsUser::isAllowed($ctype['name'], 'delete_news', 'all') || 
				   (cmsUser::isAllowed($ctype['name'], 'delete_news', 'own_places') && $is_own_place) ||
				   (cmsUser::isAllowed($ctype['name'], 'delete_news', 'own') && $is_own_entry);	
	
	if ($is_can_edit){
		$this->addToolButton(array(
			'class' => 'edit',
			'title' => LANG_PLACES_NEWS_EDIT,
			'href'  => $this->href_to('edit_news', $entry['id'])
		));		
	}
	
	if ($is_can_delete){
		$this->addToolButton(array(
			'class' => 'delete',
			'title' => LANG_PLACES_NEWS_DELETE,
			'href'  => $this->href_to('delete_news', $entry['id']),
			'onclick' => "if(!confirm('".LANG_PLACES_NEWS_DELETE_CONFIRM."')){ return false; }"
		));		
	}
	
?>

<h1><?php html($entry['title']); ?></h1>

<div class="maps-news-entry-full">	
	<div class="body">
		<div class="content">
			<?php if ($entry['image']) { ?>
				<div class="image">
					<a href="<?php echo html_image_src($entry['image'], 'big', true); ?>" class="ajax-modal">			
						<?php echo html_image($entry['image'], 'normal'); ?>			
					</a>
				</div>		
			<?php } ?>				
			<?php echo $entry['content']; ?>
		</div>		
		<div class="details">		
			<span class="date"><?php echo html_date_time($entry['date_pub']); ?></span>
			<a href="<?php echo href_to('users', $entry['user_id']); ?>"><?php echo $entry['user']['nickname']; ?></a> 			
		</div>
	</div>				
</div>

<div class="news-target gui-panel">	
	<?php $url = href_to_abs($ctype['name'], $item['slug'] . '.html#marker-' . $entry['marker_id'] );	?>
	<div class="maps-balloon">
		<table>
			<tr>
				<?php if (!empty($item['photo'])){ ?>
					<td class="image">
						<a href="<?php echo $url; ?>"><?php echo html_image($item['photo'], 'small'); ?></a>
					</td>
				<?php } ?>
				<td class="details">
					<div class="title">
						<a href="<?php echo $url; ?>"><?php html($item['title']); ?></a>
					</div>
					<div class="address">
						<?php html($marker['address']); ?>
					</div>
					<?php if ($marker['contacts']){ ?>
						<div class="contacts">						
							<?php $this->renderChild('contacts', array('contacts'=>$marker['contacts'])); ?>						
						</div>		
					<?php } ?>
				</td>
			</tr>
		</table>
	</div>
</div>

<?php if ($comments_widget) { echo $comments_widget; } ?>
